<header>
  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
    <div class="navbar-brand">Angular and Spring Boot Project</div>
    <ul class="navbar-nav">
      <li>
        <a *ngIf="isUserLoggedIn()" routerLink="/welcome/foran" class="nav-link"
          >Home</a
        >
      </li>
      <li>
        <a *ngIf="isUserLoggedIn()" routerLink="/todos" class="nav-link"
          >Todos</a
        >
      </li>
    </ul>
    <ul class="navbar-nav navbar-collapse justify-content-end">
      <li>
        <a *ngIf="!isUserLoggedIn()" routerLink="/login" class="nav-link"
          >Login</a
        >
      </li>
      <li>
        <a *ngIf="isUserLoggedIn()" routerLink="/logout" class="nav-link"
          >Logout</a
        >
      </li>
      <!--prefer routerLink instead of href if navigation is to be done within the app
        as href refresh the entire page-->
    </ul>
  </nav>
</header>
